User: Password:
|
|
Subscribe / Log in / New account

Scientific Linux alert SL-pyth-20120308 (python-sqlalchemy)

From:  riehecky@fnal.gov
To:  scientific-linux-errata@fnal.gov
Subject:  Security ERRATA Moderate: python-sqlalchemy on SL6.x
Date:  Thu, 8 Mar 2012 09:20:38 -0600
Message-ID:  <201203081520.q28FKc9F014869@fefmon2.fnal.gov>
Archive-link:  Article, Thread

Synopsis: Moderate: python-sqlalchemy security update Issue Date: 2012-03-07 CVE Numbers: CVE-2012-0805 SQLAlchemy is an Object Relational Mapper (ORM) that provides a flexible, high-level interface to SQL databases. It was discovered that SQLAlchemy did not sanitize values for the limit and offset keywords for SQL select statements. If an application using SQLAlchemy accepted values for these keywords, and did not filter or sanitize them before passing them to SQLAlchemy, it could allow an attacker to perform an SQL injection attack against the application. (CVE-2012-0805) All users of python-sqlalchemy are advised to upgrade to this updated package, which contains a patch to correct this issue. All running applications using SQLAlchemy must be restarted for this update to take effect. SL6: noarch python-sqlalchemy-0.5.5-3.el6_2.noarch.rpm - Scientific Linux Development Team


(Log in to post comments)


Copyright © 2018, Eklektix, Inc.
Comments and public postings are copyrighted by their creators.
Linux is a registered trademark of Linus Torvalds